/*
 *  ps_segment_files.h
 *  ProteinSplitter
 *
 *  Created by Naoto Morikawa on 7/22/06.
 *  Copyright (C) 2006, 2007, 2008  Naoto Morikawa. All rights reserved.
 *
 *  2006-10-01 version 0.1 release
 */

#define LONG long int		/* or long long int */
#define L_D ld			/* printf format %ld */

/* Glysin */
#define L_GLY 0			/* glycine, G */
 /* Hydrophobic */
#define L_ALA 1			/* alanine, A */
#define L_VAL 2			/* valine, V */
#define L_PHE 3			/* phenylalanine, F */
#define L_PRO 4			/* proline, P */
#define L_HYP 23	/* Hydroxyproline, - */	/* 7_Small_proteins_75/3_Knottins/6_omega/1_Cono */
#define L_MET 5			/* methionine, M */
#define L_ILE 6			/* isoleucine, I */
#define L_LEU 7			/* leucine, L */
/* Charged */
#define L_ASP 8			/* aspartic acid, D */
#define L_GLU 9			/* glutamic acid, E */
#define L_LYS 10		/* lysine, K */
#define L_ARG 11		/* arginine, R */
/* Polar */
#define L_SER 12		/* serine, S */
#define L_THR 13		/* threonine, T */
#define L_TYR 14		/* tyrosine, Y */
#define L_HIS 15		/* histidine, H */
#define L_CYS 16		/* cysteine, C */
#define L_ASN 17		/* asparagine, N */
#define L_GLN 18		/* glutamine, Q */
#define L_TRP 19		/* tryptophan, W */
/* Else */
#define L_ASX 20		/* ASP/ASN ambiguous, B */
#define L_GLX 21		/* GLU/GLN ambiguous, Z */
#define L_UNK 22		/* unknown, X */


